# FACT Workflow Manager
A Julia workflow manager, reading workflow from .toml files and running asynchronous parallel and sequential tasks extracting data from FACT Data services, and storing results in FACT Unified Data container.


---

[![GitLab License](https://img.shields.io/gitlab/license/fact%2Futils%2FFACT_workflow_manager.jl?gitlab_url=https%3A%2F%2Fgit.nilu.no&style=flat&color=orange)](https://www.gnu.org/licenses/agpl-3.0.en.html#license-text)
[![DOI](https://img.shields.io/badge/DOI-10.17605%2FOSF.IO%2F6ZJND-blue?style=flat)](https://doi.org/10.17605/OSF.IO/6ZJND)

---

## Use
1. To install the package in your project from our [Local Registry](https://git.nilu.no/julia/registry):
```julia
using Pkg
Pkg.Registry.add(url="https://git.nilu.no/julia/registry")
Pkg.add("FACT_workflow_manager")
```
2. To use the package:
```julia
using FACT_workflow_manager
``````
Please refer to the package documentation for details on how to this package: https://fact.pages.nilu.no/utils/FACT_workflow_manager.jl/

---
## Specifications


---
## Notes

---
## Author
Riccardo Boero - ribo@nilu.no

## License
[![AGPL v3](https://www.gnu.org/graphics/agplv3-88x31.png "License Icon")](https://www.gnu.org/licenses/agpl-3.0.en.html#license-text)

## Citation

- Boero, Riccardo. 2024. “FACT Utils: FACT Workflow Manager.” OSF. [doi:10.17605/OSF.IO/6ZJND](https://doi.org/10.17605/OSF.IO/6ZJND). 

Part of the Fine scAle eConomic daTa - FACT project:
- Boero, Riccardo. 2024. “Fine scAle eConomic daTa - FACT.” OSF. [doi:10.17605/OSF.IO/PV4ZW](https://doi.org/10.17605/OSF.IO/PV4ZW). 

